<?php
/*
Plugin Name: PersonRank
Plugin URI: http://www.javivicente.com/plugins-wordpress/personrank/
Description: As the PageRank in Google, it allows to know the rank of each commentator
Author: Javi Vicente
Version: 1.0
Author URI: http://www.javivicente.com
*/

/*

Table of values: indicates the minimum value to obtain the rank. Can be changed.
   The position of the array indicates the value of PP
	 
Tabla de valores: cada posicin en la matriz indica el valor mnimo para alcanzar
                  el PersonRank
*/

$PR_table=array("0","0.5","1.2","1.8","2.5","4","8","15","23","25","30");

/*End of Table. Only modify if you know that you are doing*/

function personrank($c_author='') {
  global $wpdb, $PR_table;
	
	if ($c_author=='')
	   $c_author=get_comment_author();
	
	
	$sql="SELECT count(*) as c from $wpdb->comments where comment_approved='1'";
  $tot_comm=$wpdb->get_var($sql);

	$sql="SELECT count(*) as c from $wpdb->comments where comment_approved='1' and comment_author like '". $c_author ."'";
	$author_comm=$wpdb->get_var($sql);
	
	$partial_PR=($author_comm/$tot_comm)*100;
	//echo $partial_PR;
	$PR='10';

	for ($pos=0;$pos<=9;$pos++) {
	  if ($partial_PR>=$PR_table[$pos] && $partial_PR<$PR_table[$pos+1]) {
		  $PR=$pos;	 
		}	
	}
	$pri_image_url = get_settings('siteurl') . "/wp-content/plugins/personrank/images";
	
	echo "<img src='".$pri_image_url."/PR".$PR.".gif' alt='PR: $PR' title='PersonRank: $PR. $author_comm comentarios'   />";
	/*
	switch($PR)
	{
	  case '0':
		  echo "<img src='".$pri_image_url."/images/PR0.gif' alt='PR: $PR' title='PersonRank: $PR'   />";
			break;
	  case '1':
		  echo "<img src='".$pri_image_url."/images/PR1.gif' alt='PR: $PR' title='PersonRank: $PR'   />";
			break;
	  case '2':
		  echo "<img src='".$pri_image_url."/images/PR2.gif' alt='PR: $PR' title='PersonRank: $PR'   />";
			break;
	  case '3':
		  echo "<img src='".$pri_image_url."/images/PR3.gif' alt='PR: $PR' title='PersonRank: $PR'   />";
			break;
	  case '4':
		  echo "<img src='images/PR4.gif' alt='PR: $PR' title='PersonRank: $PR'   />";
			break;
	  case '5':
		  echo "<img src='images/PR5.gif' alt='PR: $PR' title='PersonRank: $PR'   />";
			break;
	  case '6':
		  echo "<img src='images/PR6.gif' alt='PR: $PR' title='PersonRank: $PR'   />";
			break;
	  case '7':
		  echo "<img src='images/PR7.gif' alt='PR: $PR' title='PersonRank: $PR'   />";
			break;
	  case '8':
		  echo "<img src='images/PR8.gif' alt='PR: $PR' title='PersonRank: $PR'   />";
			break;
	  case '9':
		  echo "<img src='images/PR9.gif' alt='PR: $PR' title='PersonRank: $PR'   />";
			break;
	  case '10':
		  echo "<img src='images/PR10.gif' alt='PR: $PR' title='PersonRank: $PR'   />";
			break;
    default:
		  echo "Error PersonRank";
			break;
	} //end switch		*/	
	
}



?>
